changeset 824:16200adbd4f0

work around exit code for no changes
author Jeff Hammel <k0scist@gmail.com>
date Tue, 07 Feb 2017 10:28:00 -0800
parents 3b767ffdd55e
children 5a74c7ae19cd
files bin/syn.sh
diffstat 1 files changed, 6 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/bin/syn.sh	Mon Feb 06 09:30:11 2017 -0800
+++ b/bin/syn.sh	Tue Feb 07 10:28:00 2017 -0800
@@ -5,7 +5,12 @@
 cd
 
 silvermirror
-hg sync
+hg pull
+
+set +e
+hg push  # will exit 1 on no changes found
+set -e
+
 ubuntu_updated.sh
 ~/bin/mirror-hg http://k0s.org/hg